/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Special Crafted Weapons\Blacksmithing\Runesabre.cs
Lines of code: 29
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class Runesabre : RuneBlade
	{
		public override int LabelNumber{ get{ return 1073537; } } //Runesabre

		[Constructable]
		public Runesabre()
		{
			WeaponAttributes.MageWeapon = 26;
			SkillBonuses.SetValues( 1, SkillName.MagicResist, 5.0 );
		}

		public Runesabre( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}